> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evocrawl.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取抓取错误

> 你是需要 EvoCrawl API 密钥的 AI 代理吗？请参见 [evocrawl.dev/agent-onboarding/SKILL.md](https://www.evocrawl.com/agent-onboarding/SKILL.md) 以获取自动化入门说明。


## OpenAPI

````yaml /zh/api-reference/v2-openapi.json GET /crawl/{id}/errors
openapi: 3.0.0
info:
  title: Evocrawl API
  version: v2
  description: 用于与 Evocrawl 服务交互，执行网页抓取和爬取任务的 API。
  contact:
    name: Evocrawl Support
    url: https://evocrawl.com/support
    email: support@evocrawl.dev
servers:
  - url: https://api.evocrawl.com/v2
security:
  - bearerAuth: []
paths:
  /crawl/{id}/errors:
    parameters:
      - name: id
        in: path
        description: 爬取任务的 ID
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Crawling
      summary: 获取抓取任务的错误详情
      operationId: getCrawlErrors
      responses:
        '200':
          description: 成功的响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlErrorsResponseObj'
        '402':
          description: 需要付费
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Payment required to access this resource.
        '429':
          description: 请求次数过多
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
        '500':
          description: 服务器错误
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
      security:
        - bearerAuth: []
components:
  schemas:
    CrawlErrorsResponseObj:
      type: object
      properties:
        errors:
          type: array
          description: 出错的抓取任务和错误详情
          items:
            type: object
            properties:
              id:
                type: string
              timestamp:
                type: string
                nullable: true
                description: 失败的 ISO 时间戳
              url:
                type: string
                description: 已抓取 URL
              error:
                type: string
                description: 错误信息
        robotsBlocked:
          type: array
          description: 尝试抓取但被 robots.txt 阻止的 URL 列表
          items:
            type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````